Subject: [Mip4] Question about "MN returning home"

From: "David Przybylak \(LN/EAB\)" <[email-masked]>
Date: Tue, 12 Dec 2006 17:44:43 +0100

Hello,

My name is David Przybylak, I'm quite new to the mailing list.

There's one thing that is still not very clear to me in the case of "MN
returning home" in RFC 3344, I hope someone can make this clear to me!

Let's assume a MIP client (a MN) registered away from its home network
and got a home address dynamically assigned to it by its HA.
When this MN is then returning home, can we assume (if the MN is RFC
3344 compliant) that it will use its home address once at home after it
has deregistered? I mean, will its interface physically have its home
address as its IP address, or can the MN use another IP address there?

Best regards

David Przybylak

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Hans Sjostrand <[email-masked]>
Date: Tue, 12 Dec 2006 18:25:40 +0100

Hi David,

It's in the definition of the term Home Address in RFC3344, section 
"1.6. Terminology"

      Home Address
            An IP address that is assigned for an extended period of
            time to a mobile node.  It remains unchanged regardless of
            where the node is attached to the Internet.

Else it's kind of pointless to have mobile ip. All sessions with other 
CN's would brake at every handover from or to the home network if the 
home address didn't remain unchanged.

However, you do not find the answer to _how_ this is done in RFC3344. 
This is left for the vendors to implement in any way they choose. Some 
vendors have implemented this and some have simply chosen not to do it 
and hence not support the case of coming home combined with dynamic home 
address assignment. This list is not the place to advertise which 
vendors that have done what.

Best regards
/// Hasse

David Przybylak (LN/EAB) wrote:
> There's one thing that is still not very clear to me in the case of 
> "MN returning home" in RFC 3344, I hope someone can make this clear to me!
>
> 3344 compliant) that it will use its home address once at home after 
> it has deregistered? I mean, will its interface physically have its 
> home address as its IP address, or can the MN use another IP address 
> there?
>
> Best regards
>
> David Przybylak
>

---

From: "David Przybylak \(LN/EAB\)" <[email-masked]>
Date: Tue, 12 Dec 2006 19:45:46 +0100

Thank you for your answer Hasse!

That's just how I thought it should be.
I was however surprised to find some MIP clients which didn't work that
way so I was wondering how to handle them. But now at least I know what
the standard "RFC 3344 compliant" behaviour of a MIP client is.

BR

/David

> -----Original Message-----
> From: Hans Sjostrand [mailto:[email-masked]] 
> Sent: den 12 december 2006 18:26
> To: David Przybylak (LN/EAB)
> Cc: [email-masked]
> Subject: Re: [Mip4] Question about "MN returning home"
> 
> Hi David,
> 
> It's in the definition of the term Home Address in RFC3344, 
> section "1.6. Terminology"
> 
>       Home Address
> Else it's kind of pointless to have mobile ip. All sessions 
> with other CN's would brake at every handover from or to the 
> home network if the home address didn't remain unchanged.
> 
> This is left for the vendors to implement in any way they 
> choose. Some vendors have implemented this and some have 
> simply chosen not to do it and hence not support the case of 
> coming home combined with dynamic home address assignment. 
> This list is not the place to advertise which vendors that 
> have done what.
> 
> Best regards
> /// Hasse
>